CRAN Package Check Results for Package bea.R

Last updated on 2024-06-13 17:49:03 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0.6 10.16 71.92 82.08 OK
r-devel-linux-x86_64-debian-gcc 1.0.6 0.36 1.72 2.08 ERROR
r-devel-linux-x86_64-fedora-clang 1.0.6 101.91 NOTE
r-devel-linux-x86_64-fedora-gcc 1.0.6 93.67 NOTE
r-devel-windows-x86_64 1.0.6 9.00 67.00 76.00 OK
r-patched-linux-x86_64 1.0.6 8.85 64.48 73.33 OK
r-release-linux-x86_64 1.0.6 6.98 66.69 73.67 OK
r-release-macos-arm64 1.0.6 34.00 OK
r-release-macos-x86_64 1.0.6 54.00 OK
r-release-windows-x86_64 1.0.6 10.00 66.00 76.00 OK
r-oldrel-macos-arm64 1.0.6 34.00 OK
r-oldrel-macos-x86_64 1.0.6 54.00 OK
r-oldrel-windows-x86_64 1.0.6 11.00 81.00 92.00 OK

Check Details

Version: 1.0.6
Check: package dependencies
Result: ERROR Packages required but not available: 'ggplot2', 'stringr' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc

Version: 1.0.6
Check: package dependencies
Result: NOTE Imports includes 22 non-default packages. Importing from so many packages makes the package vulnerable to any of them becoming unavailable. Move as many as possible to Suggests and use conditionally. Flavor: r-devel-linux-x86_64-fedora-clang

Version: 1.0.6
Check: dependencies in R code
Result: NOTE Namespaces in Imports field not imported from: ‘Rcpp’ ‘chron’ ‘colorspace’ ‘gtable’ ‘htmltools’ ‘htmlwidgets’ ‘httpuv’ ‘magrittr’ ‘munsell’ ‘plyr’ ‘scales’ ‘stringi’ ‘xtable’ ‘yaml’ All declared Imports should be used. Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc